Packages - Bug #2561

[iceweasel] sudden shutdown of Iceweasel 70.0.1
2019-12-01 01:55 AM - eliotime3000

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

The following message appears when | try to run Iceweasel from the terminal.

1575165124438 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml
Linea 1918, columna 9: <toolbaritem id="appMenu-fxa-status"

JavaScript error: resource://gre/modules/AutoCompletePopup.jsm, line 113: NS_ERROR_ILLEGAL_VALUE:

Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [
nsIObserverService.removeObserver]

###!!! [Parent] [RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
###!!! [Parent] [RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
###!!! [Parent] [RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001, name=PCacheOp::Msg__ delete_ ) Channel

osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete_ ) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp::Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__ ) Channel
osing: too late to send/recv, messages will be lost

##4#!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001, name=PCacheOp: :Msg delete_ ) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete_ ) Channel
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel
osing: too late to send/recv, messages will be lost
###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete_ ) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp::Msg delete__) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete_ ) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001,name=PCacheOp: :Msg delete__) Channel cl
osing: too late to send/recv, messages will be lost

###!!! [Parent] [MessageChannel] Error: (msgtype=0x220001, name=PCacheOp: :Msg delete__) Channel cl
osing: too late to send/recv, messages will be lost

History

#1 - 2019-12-01 02:15 AM - eliotime3000

Iceweasel runs flawlessly fine in safe mode, but after refresh the browser, it doesn't appear and the message in the terminal is the following:

JavaScript error: resource://gre/modules/AutoCompletePopup.jsm, line 113: NS_ERROR_ILLEGAL_VALUE: Component re

turned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIObserverService.removeObserver]

1575166360853 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: mozillaAddons

1575166360853 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: telemetry

1575166360853 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: resource://pdf.Js/

1575166360853 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: about:reader*

1575166361285 Marionette FATAL Error de andlisis XML: entidad indefinida

Ubicacién: chrome://browser/content/browser.xhtml

Linea 1918, columna 9: <toolbaritem id="appMenu-fxa-status"

JavaScript error: resource:///modules/BrowserGlue.jsm, line 1836: NS_ERROR_FAILURE: Component returned failure
code: 0x80004005 (NS_ERROR_FAILURE) [nsIIdleService.removeldleObserver]

JavaScript error: , line 0: UnknownError: The operation failed for

reasons unrelated to the database itself and not covered by any other error code.

JavaScript error: resource://services-common/kinto-offline-client.js, line 603: Error: IndexedDB getLastModifi

ed () The operation failed for

reasons unrelated to the database itself and not covered by any other error code.

1575166474824 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml
Linea 1918, columna 9: <toolbaritem id="appMenu-fxa-status"

JavaScript error: resource://gre/modules/AutoCompletePopup.jsm, line 113: NS_ERROR_ILLEGAL_VALUE: Component re
turned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIObserverService.removeObserver]

JavaScript error: resource://services-common/kinto-offline-client.js, line 603: Error: IndexedDB getLastModifi
ed () The operation failed for

reasons unrelated to the database itself and not covered by any other error code.

#2 - 2019-12-01 02:18 AM - bill-auger

we could not reproduce that error

does the program run when launched with “iceweasel --safe-mode’?

does the program run when launched from a .desktop icon?

do you have 'iceweasel-hardened-preferences' installed?

do you have any additional add-on installed? - you could try disabling them

#3 - 2019-12-01 02:25 AM - bill-auger

it is likely you could fix the problem by deleting your user profile directory
$ rm -rf ~/.mozilla/firefox/*.profile/

that will reset any customizations you have made though

or use a bigger hamer and delete the entire mozilla directory:
$ rm -rf ~/.mozilla/

which will reset any customizations you have made in any mozilla program, icedove, icecat, etc

#4 - 2019-12-01 02:28 AM - eliotime3000

After wipe out my .mozilla folder, the result gets worse:

JavaScript error: resource://gre/modules/AutoCompletePopup.jsm, line 113: NS_ERROR_ILLEGAL_VALUE: Component re
turned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIObserverService.removeObserver]

JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 694: Error: Phase "profile-before-change"

is finished, it is too late to register completion condition "JSON store: writing data"

JavaScript error: resource://services-common/kinto-offline-client.js, line 603: Error: IndexedDB getLastModifi
ed () The operation failed for

reasons unrelated to the database itself and not covered by any other error code.

#5 - 2019-12-01 02:39 AM - eliotime3000

Result of Iceweasel running with firejail:

Reading profile /etc/firejail/iceweasel.profile
Reading profile /etc/firejail/firefox.profile
Reading profile /etc/firejail/firefox-common.profile
Reading profile /etc/firejail/disable-common.inc
Reading profile /etc/firejail/disable-devel.inc
Reading profile /etc/firejail/disable-exec.inc
Reading profile /etc/firejail/disable-interpreters.inc
Reading profile /etc/firejail/disable-programs.inc
Reading profile /etc/firejail/whitelist-common.inc
Reading profile /etc/firejail/whitelist-var—-common.inc
Parent pid 6376, child pid 6377
Warning: An abstract unix socket for session D-BUS might still be available. Use —--net or remove unix from
——protocol set.
Warning: /sbin directory link was not blacklisted
Warning: /usr/sbin directory link was not blacklisted
Post-exec seccomp protector enabled
Seccomp list in

@clock, @cpu-emulation, @debug, @module, @obsolete, @raw-io, @reboot, @resources, @swap, acct, add_key,bpf, fanotify_in
it,io_cancel,io_destroy, io_getevents, io_setup,io_submit,ioprio_set, kcmp, keyctl, mount, name_to_handle_at,nfsserv
ctl,ni_syscall, open_by_handle_at,personality,pivot_root,process_vm_readv,ptrace, remap_file_pages, request_key, s
etdomainname, sethostname, syslog, umount, umount2, userfaultfd, vhangup, vmsplice, check list: @default-keep, prelis
t: adjtimex,clock_adjtime,clock_settime, settimeofday,modify_1dt, lookup_dcookie,perf_event_open,process_vm_writ
ev,delete_module, finit_module,init_module,_sysctl,afs_syscall,create_module,get_kernel_syms,getpmsg,putpmsg, qu
ery_module, security, sysfs, tuxcall,uselib,ustat, vserver, ioperm, iopl, kexec_load, kexec_file_load, reboot, set_mempo
licy,migrate_pages,move_pages,mbind, swapon, swapoff, acct,add_key,bpf, fanotify_init,io_cancel, io_destroy,io_gete
vents, io_setup, io_submit,ioprio_set, kcmp, keyctl, mount, name_to_handle_at,nfsservctl, open_by_handle_at,personali
ty,pivot_root,process_vm_readv,ptrace,remap_file_pages, request_key, setdomainname, sethostname, syslog, umount2, us
erfaultfd, vhangup, vmsplice,
Warning: Cannot confine the application using AppArmor.
Maybe firejail-default AppArmor profile is not loaded into the kernel.
As root, run "aa-enforce firejail-default" to load it.
Child process initialized in 183.15 ms
1575167890830 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: mozillaAddons
1575167890830 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: telemetry
1575167890830 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: resource://pdf.js/
1575167890830 addons.webextension.screenshots@mozilla.org WARN Loading extension
'screenshots@mozilla.org': Reading manifest: Invalid extension permission: about:reader*
1575167891522 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml
Linea 1918, columna 9: <toolbaritem id="appMenu-fxa-status"
JavaScript error: resource://gre/modules/AutoCompletePopup.jsm, line 113: NS_ERROR_ILLEGAL_VALUE: Component re
turned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIObserverService.removeObserver]

Parent is shutting down, bye...
#6 - 2019-12-01 02:43 AM - eliotime3000

[eliotime3000Q@ELTM3K ~]$ iceweasel —--new-instance

1575168164588 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml

Linea 1918, columna 9: <toolbaritem id="appMenu-fxa-status"

JavaScript error: resource://gre/modules/AutoCompletePopup. jsm, line 113: NS_ERROR_ILLEGAL_VALUE: Component re
turned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIObserverService.removeObserver]

#7 - 2019-12-01 03:41 AM - eliotime3000

OK. | found the cause of the problem.

The main issue was the language pack. I've uninstalled the iceweasel-110n-es-ar package and the problem has been solved by art of magic. Maybe
the rest of language packs could have the same issue, so I'll share this bug report into the troubleshooting related to Iceweasel language pack thread.

Thanks by their comprehension and apologizes by all the suffering.

#8 - 2019-12-03 09:25 PM - eliotime3000

Now, the error of the Iceweasel language pack has been created in the Bug #2571: [iceweasel-110n-es-ar][iceweasel-110n-pl]: Iceweasel doesn't start
with some language packs bug report. Any comment related with the error reported here with the iceweasel-110n-es-ar language pack must on the
bug report quoted previously.

#9 - 2019-12-18 05:12 PM - grizzlyuser

The error message looks like the one | mentioned earlier in [1] (see # 6). Perhaps branding files in langpacks should be updated the same way as in
that patch.

[1] https://lists.parabola.nu/pipermail/dev/2019-October/007484.html

#10 - 2020-01-21 01:28 PM - bill-auger

- Status changed from unconfirmed to duplicate

closing this ticket in favor of #2571
